Package Details: trid 2.24-4

Git Clone URL: https://aur.archlinux.org/trid.git (read-only, click to copy)
Package Base: trid
Description: An utility designed to identify file types from their binary signatures
Upstream URL: http://mark0.net/soft-trid-e.html
Licenses: custom
Submitter: None
Maintainer: Huulivoide
Last Packager: Huulivoide
Votes: 13
Popularity: 0.000438
First Submitted: 2009-08-09 11:39 (UTC)
Last Updated: 2024-03-18 09:43 (UTC)

Latest Comments

1 2 Next › Last »

cupantae commented on 2022-01-06 23:45 (UTC) (edited on 2022-01-06 23:45 (UTC) by cupantae)

I also got the loadlocale.c error as in ChillFre4k's post. Thanks to victorvianna for the solution. You can use this as a workaround:

Add this line to ~/.bashrc

alias trid='LANG="" trid'

Then you'll need to run . ~/.bashrc or reload your shell.

ChillFre4k commented on 2021-06-10 08:37 (UTC) (edited on 2021-06-10 08:38 (UTC) by ChillFre4k)

got this error

trid.bin: loadlocale.c:129: _nl_intern_locale_data: Assertion `cnt < (sizeof (_nl_value_type_LC_TIME) / sizeof (_nl_value_type_LC_TIME[0]))' failed.
/usr/bin/trid: line 11: 16943 Aborted                 (core dumped) /usr/bin/trid.bin -d:/var/lib/trid/triddefs.trd $*

victorvianna commented on 2019-01-07 19:18 (UTC) (edited on 2019-01-07 19:19 (UTC) by victorvianna)

Had a problem when running, "fixed" it by unsetting env variable LANG (https://github.com/junegunn/fzf/issues/356, https://github.com/junegunn/fzf/issues/350).

Huulivoide commented on 2018-02-19 12:58 (UTC)

Sorry for the Offline time. md5sums have been updated and all should be working now. Also the update script has been updated to be Python 3 compliant, thus it is used instead of Python 2.

TrakTrakTrugui commented on 2017-09-30 21:03 (UTC)

Hi, I'm getting this error: ==> Validating source files with md5sums... trid.sh ... Passed update-trid-defs.sh ... Passed update-trid-defs.service ... Passed update-trid-defs.timer ... Passed triupdate-1.00.zip ... FAILED ==> ERROR: One or more files did not pass the validity check! :: failed to verify trid integrity

Pezo commented on 2017-03-22 13:03 (UTC)

In trid.sh you should use "$@" instead of $* for passing arguments with spaces properly.

bitwave commented on 2016-04-18 18:20 (UTC)

please update md5sums

bitwave commented on 2015-07-25 18:06 (UTC)

please change this: post_upgrade() { post_install() } to this: post_upgrade() { post_install } bash says it's a syntax error

<deleted-account> commented on 2011-06-20 13:37 (UTC)

Ok, done. (lib32-)ncurses satisfies (lib32-)glibc, thus no extra mentioning. The launch script has also been improved.

Huulivoide commented on 2011-06-20 13:09 (UTC)

and lib32-ncurses